/***************************************************************************
 *   Copyright (C) 2005 by Armando Navarro-Vazquez                         *
 *   armando@linux                                                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <kryovisor.h>

#include "chimeinterpreter.h"

ChimeInterpreter::ChimeInterpreter() : m_visor(NULL)
{
}


ChimeInterpreter::~ChimeInterpreter()
{
}

void ChimeInterpreter::SetVisor(KryoVisor* visor)
{
  m_visor=visor;
}

void ChimeInterpreter::SetScript(const QString& script)
{
  m_script=script;
  ParseScript();
}

void ChimeInterpreter::ParseScript()
{
  
}

void ChimeInterpreter::ExecuteScript()
{
  QStringList::const_iterator it;
  for(it=m_commands.begin();it!=m_commands.end();++it)
  {
   
     QString command=(*it).upper();
     if ( command == "WIREFRAME" )
       m_visor->SetGraphMode(KryoVisor::WIREFRAME);
     if ( command == "CPK" )
       m_visor->SetGraphMode(KryoVisor::CPK);
     
  }
}